import {getData} from "../fetchApi.tsx";
import type IPlayer from "../types/IPlayer.ts";
import type IGame from "../types/IGame.ts";

export function GetPlayers(apiUri: string){
    return getData(`${apiUri}/Data/Players`) as Promise<IPlayer[]>;
}

export function GetPlayer(apiUri: string, steamdId: bigint){
    return getData(`${apiUri}/Data/Player/${steamdId}`) as Promise<IPlayer>;
}

export function GetGamesOfPlayer(apiUri: string, steamdId: bigint){
    return getData(`${apiUri}/Data/Player/${steamdId}/Games`) as Promise<IGame[]>;
}

export function GetGames(apiUri: string){
    return getData(`${apiUri}/Data/Games`) as Promise<IGame[]>;
}

export function GetGame(apiUri: string, appId: bigint){
    return getData(`${apiUri}/Data/Game/${appId}`) as Promise<IGame>;
}

export function GetPlayersOfGame(apiUri: string, appId: bigint){
    return getData(`${apiUri}/Data/Game/${appId}/Players`) as Promise<IPlayer[]>;
}