import {getData} from "../fetchApi.tsx";
import type ITrackedTime from "../types/ITrackedTime.ts";

export function GetTimelines(apiUri: string, steamId: bigint){
    return getData(`${apiUri}/TimeTrack/${steamId}`) as Promise<{key: bigint, value: ITrackedTime[]}[]>;
}

export function GetTimelineGame(apiUri: string, steamId: bigint, appId: bigint){
    return getData(`${apiUri}/TimeTrack/${steamId}/${appId}`) as Promise<ITrackedTime[]>;
}

export function GetTotal(apiUri: string, steamId: bigint){
    return getData(`${apiUri}/TimeTrack/${steamId}/Total`) as unknown as Promise<bigint>;
}

export function GetTotalPerGame(apiUri: string, steamId: bigint){
    return getData(`${apiUri}/TimeTrack/${steamId}/Total/PerGame`) as Promise<{key: bigint, value: bigint}[]>;
}
