import {AspectRatio, Card, CardContent, Stack, Typography} from "@mui/joy";
import type IGame from "../api/types/IGame.ts";

export default function GameCard({game, onClick} : {game: IGame | null, onClick?: React.MouseEventHandler<HTMLDivElement> | undefined}) {
    return (
        <AspectRatio ratio={4} sx={{width: '256px'}}>
            <Card onClick={onClick}>
                <CardContent>
                    <Stack direction="row" spacing={1} sx={{minWidth: "100%", width: "fit-content"}} alignContent={"center"}>
                        <AspectRatio ratio={1} sx={{width: '64px'}}>
                            <img src={game?.iconUrl??"favicon.ico"} />
                        </AspectRatio>
                        <Typography level={"title-lg"} alignContent={"center"} overflow={"hidden"} noWrap>{game?.name}</Typography>
                    </Stack>
                </CardContent>
            </Card>
        </AspectRatio>
    );
}